=== debian/control ===
Source: spml-ifc9
Section: math
Priority: optional
Maintainer: ODAKA Masatsugu <odakker@odakker.gfd-dennou.org>
Standards-Version: 3.2.1

Package: spml-ifc9
Architecture: i386
Depends: ${shlibs:Depends}, netcdf-ifc9, ispack-ifc9(>=0.71), gt4f90io-ifc9(>=20041226-1)
Suggests: ifc(>=9)
Description: SPML (a SPectral Model Library) is a Fortran90 module library 
 for constructing spectral models for fundamental geophysical fluid dynamic 
 problems. Fortran90 modules of this library are based on ISPACK 
 (http://www.gfd-dennou.org/arch/ispack), which is also library for spectral 
 models but written in Fortran77. This package provides module binary files 
 built with Intel Fortran Compiler ver.9. GFD-Dennu Club spmodel project web
 site is http://www.gfd-dennou.org/arch/spmodel.

Package: spml-doc
Architecture: all
Description: Documents of SPML Fortran90 library for spectral models. 
 SPML (a SPectral Model Library) is a Fortran90 module library 
 for constructing spectral models for fundamental geophysical fluid dynamic 
 problems. GFD-Dennu Club spmodel project web site is http://www.gfd-dennou.org/arch/spmodel.
